Cyberduck Mountain Duck CLI

#5228 closed defect (fixed)

S3 and copying URL's

Reported by: https://www.google.com/accounts/o8/id?id=aitoawkygwhf-xja-ynryhyg372hldxxfg1crcs Owned by: dkocher
Priority: normal Milestone: 3.7
Component: s3 Version: 3.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

There are two issues with copying URL's when using Cyberduck with S3.

  • There is no non-SSL Copy URL ability (just HTTP, signed HTTPS, and torrent) ... Using Non-SSL is especially important when dealing with "Virtual Hosting".
  • The torrent URL has an extra '/' between the server name and the object name, which breaks the URL.

Also, it would be nice to be able to timeframe for expiration with the signed URL method.

Change History (5)

comment:1 Changed on Sep 23, 2010 at 9:08:42 PM by dkocher

  • Description modified (diff)
  • Milestone set to 3.6.2

comment:2 in reply to: ↑ description Changed on Sep 23, 2010 at 9:15:30 PM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawkygwhf-xja-ynryhyg372hldxxfg1crcs:

Also, it would be nice to be able to timeframe for expiration with the signed URL method.

The latest snapshot build also includes signed URL for one hour and one week by default in addition to the setting in s3.url.expire.seconds. Refer to the wiki.

comment:3 Changed on Sep 23, 2010 at 9:23:38 PM by https://www.google.com/accounts/o8/id?id=aitoawkygwhf-xja-ynryhyg372hldxxfg1crcs

Thanks, sorry I didn't see that first!

comment:4 in reply to: ↑ description Changed on Sep 25, 2010 at 1:25:34 PM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawkygwhf-xja-ynryhyg372hldxxfg1crcs:

  • There is no non-SSL Copy URL ability (just HTTP, signed HTTPS, and torrent) ... Using Non-SSL is especially important when dealing with "Virtual Hosting".

In r7065.

comment:5 Changed on Sep 27, 2010 at 7:30:49 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Fix torrent URLs in r7081.

Note: See TracTickets for help on using tickets.
swiss made software